#
# spec file for package procmail (Version 3.22)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           procmail
BuildRequires:  pcre-devel postfix
Url:            http://www.procmail.org/
License:        Artistic License .. ; GPLv2+
Group:          Productivity/Networking/Email/Clients
Requires:       /usr/bin/mimencode /bin/sed
AutoReqProv:    on
Version:        3.22
Release:        241.2.1
Summary:        A program for local e-mail delivery
Source:         procmail-%{version}.tar.bz2
Patch0:         procmail-%{version}-mailstat.patch
Patch1:         procmail-%{version}.dif
Patch2:         procmail-cflags.dif
Patch3:         procmail-%{version}-headerconcat.dif
Patch4:         procmail-%{version}-owl-truncate.dif
Patch5:         procmail-%{version}-autoconf.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Sendmail calls procmail to deliver email into a local folder. Procmail
can be configured to store e-mail in different folders.



Authors:
--------
    Stephen R. van den Berg <srb@cuci.nl>
    Philip Guenther <guenther@sendmail.com>

%prep
%setup
%patch0 -b .mailstat
%patch1
%patch2
%patch3
%patch4
%patch5

%build
    RPM_OPT_FLAGS="-std=c89 $RPM_OPT_FLAGS -Wno-parentheses -Wno-sign-compare -Wno-unprototyped-calls"
    export RPM_OPT_FLAGS
    make XCFLAGS="-fno-strict-aliasing -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64" MANDIR=%{_mandir} LDFLAGS0=

%install
    mkdir -p $RPM_BUILD_ROOT%{_mandir}/man{1,5} $RPM_BUILD_ROOT/usr/bin
    make MANDIR=$RPM_BUILD_ROOT%{_mandir} BINDIR=$RPM_BUILD_ROOT/usr/bin install
    install -m 644 man/mailstat.man $RPM_BUILD_ROOT%{_mandir}/man1/mailstat.1

%clean
    rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc FAQ FEATURES README examples
/usr/bin/formail
/usr/bin/lockfile
/usr/bin/mailstat
/usr/bin/procmail
%{_mandir}/man1/formail.1.gz
%{_mandir}/man1/lockfile.1.gz
%{_mandir}/man1/procmail.1.gz
%{_mandir}/man1/mailstat.1.gz
%{_mandir}/man5/procmailex.5.gz
%{_mandir}/man5/procmailrc.5.gz
%{_mandir}/man5/procmailsc.5.gz

%changelog
* Fri Nov 20 2009 werner@suse.de
- Fix that last fix (bnc#556509)
* Fri Jan 30 2009 od@suse.de
- assume RFC2822-compliant header continuation lines, do not cover
  up for older mail clients that insert more spacing (bnc#469222)
* Tue Nov 11 2008 kukuk@suse.de
- vacation is no required package
* Tue Mar  4 2008 werner@suse.de
- Avoid warnings due oldish C code of procmail
- Be sure that autoconf catchs missing pw_class
* Thu Jun 28 2007 werner@suse.de
- Be sure that standard programs are available in procmailrc
* Mon Jan  8 2007 werner@suse.de
- Use only fcntl(2) for locking, do not mix with flock(2) (#231845)
* Fri May 26 2006 schwab@suse.de
- Don't strip binaries.
* Thu May 11 2006 werner@suse.de
- Enable large file support (bug #174497)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 werner@suse.de
- Fix the last bug fix to re-enable biff/comsat (bug #135883)
* Mon Nov  7 2005 werner@suse.de
- Do not truncate a folder if reached quota (bug #132530)
* Sun May  9 2004 od@suse.de
- fixed handling of folded headers: delete leading whitespace
* Fri Mar 26 2004 ro@suse.de
- added postfix to neededforbuild
* Mon Feb 23 2004 werner@suse.de
- Reenabled locking with fcntl.
* Mon Feb 23 2004 werner@suse.de
- Update to procmail 3.22 (includes maildir feature)
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Mon Sep  1 2003 pthomas@suse.de
- Pass -fno-strict-aliasing to gcc, as regexp.c uses type punning
  and thus could be miscompiled.
* Wed May 28 2003 coolo@suse.de
- use BuildRoot
* Tue May 13 2003 mmj@suse.de
- Use %%defattr
* Wed Jan 22 2003 mmj@suse.de
- Enabled locking with fcntl as well
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Thu Jan 11 2001 werner@suse.de
- Update to 3.15.1 due security:
  * A race to create the mailspool would bounce one of the
    messages due to an internal error
  * LC_ in KEEPENV would preserve only the first LC_foo variable
  * Strip runtime linker variables (LD_*) from environment on
    all platforms
  * Drop duplicate and malformed environment entries
* Tue Jan  9 2001 werner@suse.de
- Update to 3.15 due to security issue
* Thu Nov 23 2000 werner@suse.de
- Update to 3.14
* Wed Jun  7 2000 ro@suse.de
- doc relocation
* Sun Feb 27 2000 kukuk@suse.de
- Move /usr/man -> /usr/share/man
* Mon Dec  6 1999 werner@suse.de
- Fix default PATH
* Fri Oct  1 1999 werner@suse.de
- New version 3.13.1
- Add procmail-maildir.patch (supporting of maildirs with ending '/')
- Add procmail-locking.patch (no locking for directories required)
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Jul 17 1998 werner@suse.de
- Use mktemp
* Thu Jul 16 1998 werner@suse.de
- fix for mailstat script
* Mon Jul  7 1997 florian@suse.de
- update to version 3.11-pre7
- add docu files in /usr/doc/packages
* Thu Jan  2 1997 florian@suse.de
- Umstieg auf non-sgid-mail spool-Verzeichnis.
